Ticker

This endpoint returns ticker messages for the current trading session — optionally filtered by time — or for a historical date. The shape of each message depends on its type.


Endpoint

GET https://www.asxenergy.com.au/api/ticker

Parameters

Exactly one of futures or options must be provided in each request.

Name Type Mandatory Description
futures string YES (mutually exclusive with options) Get ticker data for futures products.
Accepted market codes:
- au_electricity
- nz_electricity
- au_gas
- au_environmental
- nz_environmental
Accepted futures codes:
- Initial code (e.g. BNH, EVJ)
- Exact code (e.g. HNZ2026, GNU2025)
options string YES (mutually exclusive with futures) Get ticker data for options products.
Accepted market codes:
- au_electricity
- nz_electricity
Accepted options codes:
- Initial code (e.g. BNZ, HQZ2026)
- Exact code (e.g. HNZ20260012000, EAH20260010000C)
type enum NO Filter by a specific type of ticker message.
Accepted types:
- book: Changes in Order Book
- trade: Trades happen
- settle: Settlement price available
date string NO (mutually exclusive with from and to) Optional date filter for historical ticker.
Format: yyyyMMdd (e.g. 20260720).
Returns all matching messages for that date.
If date is set, from and to are disregarded.
from string NO (mutually exclusive with date) Optional lower bound time for intraday ticker (inclusive).
Format: HHmmss (e.g. 093000 for 09:30:00).
to string NO (mutually exclusive with date) Optional upper bound time for intraday ticker (inclusive).
Format: HHmmss (e.g. 164530 for 16:45:30).

Errors

Status When Body
400 Required parameters are missing or invalid {"error":"..."}
403 Your token is not entitled to the requested market {"error":"forbidden"}
404 No ticker data was found for the query {"error":"data not found"}
401
429
Authentication failure or rate limit exceeded See Data API overview

API Trial tokens may access only the first hour of the current date and cannot request historical ticker data via date.


CSV Support

The API supports CSV-formatted responses when requested via the Accept header. To receive data in CSV format, set the following header in your request:

Accept: text/csv

Columns that do not apply to a given message type may be empty in CSV output.


Futures

Returns ticker messages for futures products.

Response

Structure

Name Type Mandatory Description
futures string YES Echo of the futures query value
date string YES Effective date as yyyyMMdd
from string YES Effective lower time bound as HHmmss
to string YES Effective upper time bound as HHmmss
data array YES Ticker message data listed below

Data Field Structure

book ticker:

Name Type Notes
time string Message time as yyyyMMddHHmmss
code string Instrument code
type enum Always book
bid string Best bid price
bid_size string Best bid quantity
ask string Best ask price
ask_size string Best ask quantity

trade ticker:

Name Type Notes
time string Message time as yyyyMMddHHmmss
code string Instrument code
type enum Always trade
price string Trade price
volume string Trade volume

settle ticker:

Name Type Notes
time string Message time as yyyyMMddHHmmss
code string Instrument code
type enum Always settle
settle string Settlement price
timestamp_settle string Unix settle timestamp

Example

Request:

GET https://www.asxenergy.com.au/api/ticker?futures=au_electricity

JSON response:

{
  "futures": "au_electricity",
  "date": "20250513",
  "from": "000000",
  "to": "170806",
  "data": [
    {
      "time": "20250513160000",
      "code": "GNH2028",
      "type": "settle",
      "settle": "41.14",
      "timestamp_settle": "1746770497"
    },
    {
      "time": "20250513120717",
      "code": "BNM2025",
      "type": "book",
      "bid": "130.00",
      "bid_size": "2",
      "ask": "131.50",
      "ask_size": "5"
    },
    {
      "time": "20250513120354",
      "code": "BVM2025",
      "type": "trade",
      "price": "93.50",
      "volume": "3"
    }
  ]
}

CSV response:

Unused columns for a given message type are empty.

time,code,type,bid,bid_size,ask,ask_size,price,volume,timestamp_settle,settle,implied_volatility
20250513160000,GNH2028,settle,,,,,,,1746770497,41.14,
20250513120717,BNM2025,book,130.00,2,131.50,5,,,,,
20250513120354,BVM2025,trade,,,,,93.50,3,,,

Options

Returns ticker messages for options products.

Response

Structure

Name Type Mandatory Description
options string YES Echo of the options query value
date string YES Effective date as yyyyMMdd
from string YES Effective lower time bound as HHmmss
to string YES Effective upper time bound as HHmmss
data array YES Ticker message data listed below

Data Field Structure

book ticker:

Name Type Notes
time string Message time as yyyyMMddHHmmss
code string Instrument code
type enum Always book
bid string Best bid price
bid_size string Best bid quantity
ask string Best ask price
ask_size string Best ask quantity

trade ticker:

Name Type Notes
time string Message time as yyyyMMddHHmmss
code string Instrument code
type enum Always trade
price string Trade price
volume string Trade volume

settle ticker:

Name Type Notes
time string Message time as yyyyMMddHHmmss
code string Instrument code
type enum Always settle
settle string Settlement price
timestamp_settle string Unix settle timestamp
implied_volatility string Implied volatility when present

Example

Request:

GET https://www.asxenergy.com.au/api/ticker?options=au_electricity

JSON response:

{
  "options": "au_electricity",
  "date": "20250509",
  "from": "000000",
  "to": "194500",
  "data": [
    {
      "time": "20250509155532",
      "code": "BQU20260009000P",
      "type": "settle",
      "settle": "11.32",
      "timestamp_settle": "1746770552",
      "implied_volatility": "30"
    },
    {
      "time": "20250509130102",
      "code": "HVM20260007500P",
      "type": "book",
      "bid": "0.10",
      "bid_size": "15",
      "ask": "0.40",
      "ask_size": "10"
    },
    {
      "time": "20250509120545",
      "code": "HNM20260007500P",
      "type": "trade",
      "price": "0.25",
      "volume": "25"
    }
  ]
}

CSV response:

Unused columns for a given message type are empty.

time,code,type,bid,bid_size,ask,ask_size,price,volume,timestamp_settle,settle,implied_volatility
20250509155532,BQU20260009000P,settle,,,,,,,1746770552,11.32,30
20250509130102,HVM20260007500P,book,0.10,15,0.40,10,,,,,
20250509120545,HNM20260007500P,trade,,,,,0.25,25,,,